Package com.google.protobuf

# Interface DescriptorProtos.ExtensionRangeOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.ExtensionRangeOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.ExtensionRangeOptions`, `DescriptorProtos.ExtensionRangeOptions.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.ExtensionRangeOptionsOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.ExtensionRangeOptions>

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`getDeclaration(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`int`
`getDeclarationCount()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`List<DescriptorProtos.ExtensionRangeOptions.Declaration>`
`getDeclarationList()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
`getDeclarationOrBuilder(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`List<? extends DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder>`
`getDeclarationOrBuilderList()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.VerificationState`
`getVerification()`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`boolean`
`hasVerification()`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getDeclarationList

List<DescriptorProtos.ExtensionRangeOptions.Declaration> getDeclarationList()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclaration

DescriptorProtos.ExtensionRangeOptions.Declaration getDeclaration(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationCount

int getDeclarationCount()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationOrBuilderList

List<? extends DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder> getDeclarationOrBuilderList()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationOrBuilder

DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder getDeclarationOrBuilder(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### hasFeatures

boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Returns:
  Whether the features field is set.

### getFeatures

DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Returns:
  The features.

### getFeaturesOrBuilder

DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### hasVerification

boolean hasVerification()
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Returns:
  Whether the verification field is set.

### getVerification

DescriptorProtos.ExtensionRangeOptions.VerificationState getVerification()
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Returns:
  The verification.